classification
Title: urllib.request.Request get_header and header_items not documented
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: docs@python, godfryd, orsenthil, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2012-03-27 19:10 by r.david.murray, last changed 2012-04-29 03:54 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
doc-urlib-request.patch godfryd, 2012-04-28 19:56 a patch adding description for get_header and header_items
Messages (4)
msg156953 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-03-27 19:10
These appear from the source to be public methods (and I certainly want to be able to use get_header), but they aren't documented.
msg159534 - (view) Author: Michal Nowikowski (godfryd) Date: 2012-04-28 19:56
Attached a patch that adds description of get_header and header_items methods in Doc/library/urllib.request.rst.
msg159566 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-29 03:53
New changeset 6a9f100e138c by Senthil Kumaran in branch '3.2':
issue14427 - Document Request.get_header and Request.header_items
http://hg.python.org/cpython/rev/6a9f100e138c

New changeset 261de1701343 by Senthil Kumaran in branch 'default':
issue14427 - Document Request.get_header and Request.header_items
http://hg.python.org/cpython/rev/261de1701343

New changeset 9a1f525b98d9 by Senthil Kumaran in branch '2.7':
issue14427 - Document Request.get_header and Request.header_items
http://hg.python.org/cpython/rev/9a1f525b98d9
msg159567 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2012-04-29 03:54
Just documented it. Surprising that it was not already! :(
History
Date User Action Args
2012-04-29 03:54:16orsenthilsetstatus: open -> closed
resolution: fixed
messages: + msg159567

stage: resolved
2012-04-29 03:53:22python-devsetnosy: + python-dev
messages: + msg159566
2012-04-28 23:36:26orsenthilsetassignee: docs@python -> orsenthil

nosy: + orsenthil
2012-04-28 19:56:05godfrydsetfiles: + doc-urlib-request.patch

nosy: + godfryd
messages: + msg159534

keywords: + patch
2012-03-27 19:10:23r.david.murraycreate